package com.yijia.customer.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 客户管理对象 customer_manage
 * 
 * @author yijia
 * @date 2020-12-21
 */
public class CustomerManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 会员id */
    @Excel(name = "会员id")
    private String memberId;

    /** 客户姓名 */
    @Excel(name = "客户姓名")
    private String customerName;

    /** 推荐人 */
    @Excel(name = "推荐人")
    private String commendMan;

    /** 会员等级 */
    @Excel(name = "会员等级")
    private String memberGrade;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phoneNumber;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carNumber;

    /** 油品 */
    @Excel(name = "油品")
    private String oils;

    /** 余额 */
    @Excel(name = "余额")
    private String balance;

    /** 积分 */
    @Excel(name = "积分")
    private String integral;

    /** 专车类型 */
    @Excel(name = "专车类型")
    private String specialCarType;

    /** 注册时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date regtime;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationNam;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMemberId(String memberId) 
    {
        this.memberId = memberId;
    }

    public String getMemberId() 
    {
        return memberId;
    }
    public void setCustomerName(String customerName) 
    {
        this.customerName = customerName;
    }

    public String getCustomerName() 
    {
        return customerName;
    }
    public void setCommendMan(String commendMan) 
    {
        this.commendMan = commendMan;
    }

    public String getCommendMan() 
    {
        return commendMan;
    }
    public void setMemberGrade(String memberGrade) 
    {
        this.memberGrade = memberGrade;
    }

    public String getMemberGrade() 
    {
        return memberGrade;
    }
    public void setPhoneNumber(String phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() 
    {
        return phoneNumber;
    }
    public void setCarNumber(String carNumber) 
    {
        this.carNumber = carNumber;
    }

    public String getCarNumber() 
    {
        return carNumber;
    }
    public void setOils(String oils) 
    {
        this.oils = oils;
    }

    public String getOils() 
    {
        return oils;
    }
    public void setBalance(String balance) 
    {
        this.balance = balance;
    }

    public String getBalance() 
    {
        return balance;
    }
    public void setIntegral(String integral) 
    {
        this.integral = integral;
    }

    public String getIntegral() 
    {
        return integral;
    }
    public void setSpecialCarType(String specialCarType) 
    {
        this.specialCarType = specialCarType;
    }

    public String getSpecialCarType() 
    {
        return specialCarType;
    }
    public void setRegtime(Date regtime) 
    {
        this.regtime = regtime;
    }

    public Date getRegtime() 
    {
        return regtime;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationNam(String stationNam) 
    {
        this.stationNam = stationNam;
    }

    public String getStationNam() 
    {
        return stationNam;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("memberId", getMemberId())
            .append("customerName", getCustomerName())
            .append("commendMan", getCommendMan())
            .append("memberGrade", getMemberGrade())
            .append("phoneNumber", getPhoneNumber())
            .append("carNumber", getCarNumber())
            .append("oils", getOils())
            .append("balance", getBalance())
            .append("integral", getIntegral())
            .append("specialCarType", getSpecialCarType())
            .append("regtime", getRegtime())
            .append("stationId", getStationId())
            .append("stationNam", getStationNam())
            .toString();
    }
}
